# THIS FILE IS GENERATED FROM Dockerfile DO NOT EDIT
FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202110121348.p0.git.cb3a981.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202110121348.p0.git.cb3a981.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cb3a981 OS_GIT_VERSION=4.6.0-202110121348.p0.git.cb3a981.assembly.stream-cb3a981 SOURCE_DATE_EPOCH=1632334353 SOURCE_GIT_COMMIT=cb3a98105211586a299d25a373cf752df6b5341e SOURCE_GIT_TAG=unreleased-master-451-gcb3a9810 SOURCE_GIT_URL=https://github.com/openshift/machine-config-operator 
WORKDIR /go/src/github.com/openshift/machine-config-operator
COPY . .
# FIXME once we can depend on a new enough host that supports globs for COPY,
# just use that.  For now we work around this by copying a tarball.
RUN make install DESTDIR=./instroot && tar -C instroot -cf instroot.tar .

FROM openshift/ose-base:v4.6.0.20211012.140755
ENV __doozer=update BUILD_RELEASE=202110121348.p0.git.cb3a981.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202110121348.p0.git.cb3a981.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cb3a981 OS_GIT_VERSION=4.6.0-202110121348.p0.git.cb3a981.assembly.stream-cb3a981 SOURCE_DATE_EPOCH=1632334353 SOURCE_GIT_COMMIT=cb3a98105211586a299d25a373cf752df6b5341e SOURCE_GIT_TAG=unreleased-master-451-gcb3a9810 SOURCE_GIT_URL=https://github.com/openshift/machine-config-operator 
COPY --from=builder /go/src/github.com/openshift/machine-config-operator/instroot.tar /tmp/instroot.tar
RUN cd / && tar xf /tmp/instroot.tar && rm -f /tmp/instroot.tar
COPY install /manifests
RUN if ! rpm -q util-linux; then yum install -y util-linux && yum clean all && rm -rf /var/cache/yum/*; fi
COPY templates /etc/mcc/templates
ENTRYPOINT ["/usr/bin/machine-config-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-machine-config-operator" \
        com.redhat.component="ose-machine-config-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Machine Config Operator" \
        release="202110121348.p0.git.cb3a981.assembly.stream" \
        io.openshift.build.commit.id="cb3a98105211586a299d25a373cf752df6b5341e" \
        io.openshift.build.source-location="https://github.com/openshift/machine-config-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/machine-config-operator/commit/cb3a98105211586a299d25a373cf752df6b5341e" \
        version="v4.6.0"

